package com.wisedu.mooc.app.thirdparty.service;

import java.io.File;

public interface Handler {

	/**
	 * 初始化处理类
	 */
	void initHandler();
	
	/**
	 * 校验处理类 是否初始化成功
	 */
	boolean check();
	
	/**
	 * 上传文件
	 * @param file 当前文件
	 * @param targetFilePath 在oss上存储的目录
	 * @return
	 */
	boolean uploadFile(File file, String targetFilePath);
	
}
